License an Activation Server Local (ASL) LoadMaster
- Last Updated: October 14, 2024
- 2 minute read
- LoadMaster
- Kemp 360 Central
- Documentation
The following section outlines the commands to programmatically provision an ASL LoadMaster. Each of these commands immediately activates the LoadMaster.
This automatically creates a network in Kemp 360 Central. There is no requirement to create a network.
Activation Server IP
The aslactivate command updates the Activation Server IP Address and activates the LoadMaster:
curl –k –u username:password "https://LoadMasterIPAddress/access/aslactivate?aslipaddr=IPAddress"The equivalent command from the Windows command line is:
curl "https://LoadMasterIPAddress/access/aslactivate?aslipaddr=Kemp360CentralIPAddress" -H "Content-Type: application/json" –k -vThis returns the settings of all the parameters that are configured. The same format response is returned in all cases.
curl –k –u username:password "https://LoadMasterIPAddress/access/aslactivate?aslipaddr=172.20.1.200"<Response stat="200" code="ok"><Success><Data><aslipaddr>172.20.1.200</aslipaddr><aslname>LM-ACT-SERVER-DEFAULT</aslname><aslport>8443</aslport></Data></Success></Response>Activation Server Port
This command updates the Activate Server Port and activates the LoadMaster:
curl –k –u username:password https://LoadMasterIPAddress/access/aslactivate?aslport=PortThe equivalent command from the Windows command line is:
curl "https://LoadMasterIPAddress/access/aslactivate?aslport=Port" -H "Content-Type: application/json" –k -vActivation Server Hostname
This command updates the Activation Server Hostname and activates the LoadMaster:
curl –k –u username:password https://LoadMasterIPAddress/access/aslactivate?aslname=FQDNThe equivalent command from the Windows command line is:
curl "https://LoadMasterIPAddress/access/aslactivate?aslname=FQDN" -H "Content-Type: application/json" –k -vThe default value for this field is always LM-ACT-SERVER-DEFAULT.
Set all Parameters
This command sets all the ASL LoadMaster settings (Server IP, Server Port, Server Hostname) and activates the LoadMaster:
curl –k –u username:password https://LoadMasterIPAddress/access/aslactivate?aslname=FQDN&aslport=Port&aslipaddr=IPAddressThe equivalent command from the Windows command line is:
curl "https://LoadMasterIPAddress/access/aslactivate?aslname=FQDN&aslport=Port&aslipaddr=IPAddress" -H "Content-Type: application/json" –k –vSet the ASL LoadMaster Password
This command sets the ASL LoadMaster password (at the time of initial licensing):
curl -k –u username:password "https://LoadMasterIPAddress/access/set_initial_passwd?passwd=Password"The equivalent command from the Windows command line is:
curl "https://LoadMasterIPAddress/access/set_initial_passwd?passwd=LoadMasterPassword" -H "Content-Type: application/json" –k –v -d "{\"username\":\"bal\",\"password\":\"LoadMasterPassword\"}"The password is for the default administrator user (that is, the bal user). The password should contain at least eight alphanumeric characters.